### Signal

# RB RemovableMediaManager::create-source-volume

#### Declaration

    RBSource*
    create_source_volume (
      RBRemovableMediaManager* self,
      GioVolume* volume,
      gpointer user_data
    )

#### Description [src]

Emitted when a new volume is added to allow plugins to create a corresponding `RBSource`. The first signal handler that returns a source wins. A plugin should only use this signal if it doesn’t require the volume to be mounted. If the volume must be mounted to be useful, use the create-source-mount signal instead.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`volume`

  Type: `GVolume`

  The `GVolume`.

  The data is owned by the caller of the function.

#### Return value

Type: `RBSource`

A source for the volume, or NULL.

The caller of the function takes ownership of the data, and is responsible for freeing it.